from django.db import models

# Create your models here.
class Bill(models.Model):
    name = models.CharField(max_length=64)
    type = models.CharField(max_length=64)
    due = models.DateField('due_date')
    amount = models.FloatField(default='00.00')
    is_paid = models.BooleanField(default=False)
    paid_date = models.DateField('paid_date',null=True, blank=True)
    is_overdue = models.BooleanField(default=False)
    is_missed = models.BooleanField(default=False)

    def overdue(self):
        return self.is_overdue

    def __str__(self):
        return ("%s - %s" % (self.name, self.due))
